from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbcategory = Blueprint('dbcategory', __name__)



@dbcategory.route('/dbcategory/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbcategory.route('/dbcategory/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbcategory():
    req = request.json
    resp = bllengine.dbcategory_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbcategory.route('/dbcategory/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbcategorywithCondition():
    req = request.json
    resp = bllengine.dbcategory_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbcategory.route('/dbcategory/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbcategorywithCond():
    req = request.json
    resp = bllengine.dbcategory_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbcategory.route('/dbcategory/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbcategorywithoutCond():
    req = request.json
    resp = bllengine.dbcategory_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbcategory.route('/dbcategory/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbcategorywithcondition():
    req = request.json
    resp = bllengine.dbcategory_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbcategory.route('/dbcategory/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbcategorywithcondition():
    req = request.json
    resp = bllengine.dbcategory_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbcategory.route('/dbcategory/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbcategory():
    req = request.json
    resp = bllengine.dbcategory_processupdateall(req)
    return jsonify(resp)

 """