from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbcharges = Blueprint('dbcharges', __name__)



@dbcharges.route('/dbcharges/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbcharges.route('/dbcharges/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbcharges():
    req = request.json
    resp = bllengine.dbcharge_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbcharges.route('/dbcharges/readonecond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def readOnedbchargeswithCondition():
    req = request.json
    resp = bllengine.dbcharge_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbcharges.route('/dbcharges/readmanycond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def reaManydbchargeswithCond():
    req = request.json
    resp = bllengine.dbcharge_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbcharges.route('/dbcharges/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbchargeswithoutCond():
    req = request.json
    resp = bllengine.dbcharge_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbcharges.route('/dbcharges/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbchargeswithcondition():
    req = request.json
    resp = bllengine.dbcharge_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbcharges.route('/dbcharges/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbchargeswithcondition():
    req = request.json
    resp = bllengine.dbcharge_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbcharges.route('/dbcharges/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbcharges():
    req = request.json
    resp = bllengine.dbcharge_processupdateall(req)
    return jsonify(resp)

 """