from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbencoding = Blueprint('dbencoding', __name__)



@dbencoding.route('/dbencoding/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbencoding.route('/dbencoding/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbencoding():
    req = request.json
    resp = bllengine.dbencoding_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbencoding.route('/dbencoding/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbencodingwithCondition():
    req = request.json
    resp = bllengine.dbencoding_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbencoding.route('/dbencoding/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbencodingwithCond():
    req = request.json
    resp = bllengine.dbencoding_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbencoding.route('/dbencoding/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbencodingwithoutCond():
    req = request.json
    resp = bllengine.dbencoding_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbencoding.route('/dbencoding/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbencodingwithcondition():
    req = request.json
    resp = bllengine.dbencoding_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbencoding.route('/dbencoding/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbencodingwithcondition():
    req = request.json
    resp = bllengine.dbencoding_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbencoding.route('/dbencoding/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbencoding():
    req = request.json
    resp = bllengine.dbencoding_processupdateall(req)
    return jsonify(resp)

 """