from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbinstance = Blueprint('dbinstance', __name__)



@dbinstance.route('/dbinstance/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbinstance.route('/dbinstance/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbinstance():
    req = request.json
    resp = bllengine.dbinstance_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbinstance.route('/dbinstance/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbinstancewithCondition():
    req = request.json
    resp = bllengine.dbinstance_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbinstance.route('/dbinstance/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbinstancewithCond():
    req = request.json
    resp = bllengine.dbinstance_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbinstance.route('/dbinstance/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbinstancewithoutCond():
    req = request.json
    resp = bllengine.dbinstance_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbinstance.route('/dbinstance/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbinstancewithcondition():
    req = request.json
    resp = bllengine.dbinstance_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbinstance.route('/dbinstance/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbinstancewithcondition():
    req = request.json
    resp = bllengine.dbinstance_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbinstance.route('/dbinstance/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbinstance():
    req = request.json
    resp = bllengine.dbinstance_processupdateall(req)
    return jsonify(resp)

 """