from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbinvoicelineitem = Blueprint('dbinvoicelineitem', __name__)



@dbinvoicelineitem.route('/dbinvoicelineitem/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbinvoicelineitem.route('/dbinvoicelineitem/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbinvoicelineitem():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbinvoicelineitem.route('/dbinvoicelineitem/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbinvoicelineitemwithCondition():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbinvoicelineitem.route('/dbinvoicelineitem/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbinvoicelineitemwithCond():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbinvoicelineitem.route('/dbinvoicelineitem/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbinvoicelineitemwithoutCond():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbinvoicelineitem.route('/dbinvoicelineitem/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbinvoicelineitemwithcondition():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbinvoicelineitem.route('/dbinvoicelineitem/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbinvoicelineitemwithcondition():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbinvoicelineitem.route('/dbinvoicelineitem/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbinvoicelineitem():
    req = request.json
    resp = bllengine.dbinvoicelineitem_processupdateall(req)
    return jsonify(resp)

 """