from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbipaddress = Blueprint('dbipaddress', __name__)



@dbipaddress.route('/dbipaddress/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbipaddress.route('/dbipaddress/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbipaddress():
    req = request.json
    resp = bllengine.dbipaddress_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbipaddress.route('/dbipaddress/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbipaddresswithCondition():
    req = request.json
    resp = bllengine.dbipaddress_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbipaddress.route('/dbipaddress/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbipaddresswithCond():
    req = request.json
    resp = bllengine.dbipaddress_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbipaddress.route('/dbipaddress/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbipaddresswithoutCond():
    req = request.json
    resp = bllengine.dbipaddress_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbipaddress.route('/dbipaddress/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbipaddresswithcondition():
    req = request.json
    resp = bllengine.dbipaddress_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbipaddress.route('/dbipaddress/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbipaddresswithcondition():
    req = request.json
    resp = bllengine.dbipaddress_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbipaddress.route('/dbipaddress/updateall', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def createdbipaddress():
    req = request.json
    resp = bllengine.dbipaddress_processupdateall(req)
    return jsonify(resp)

 """