from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbpackage = Blueprint('dbpackage', __name__)



@dbpackage.route('/dbpackage/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbpackage.route('/dbpackage/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbpackage():
    req = request.json
    resp = bllengine.dbpackage_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbpackage.route('/dbpackage/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbpackagewithCondition():
    req = request.json
    resp = bllengine.dbpackage_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbpackage.route('/dbpackage/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbpackagewithCond():
    req = request.json
    resp = bllengine.dbpackage_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbpackage.route('/dbpackage/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbpackagewithoutCond():
    req = request.json
    resp = bllengine.dbpackage_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbpackage.route('/dbpackage/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbpackagewithcondition():
    req = request.json
    resp = bllengine.dbpackage_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbpackage.route('/dbpackage/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbpackagewithcondition():
    req = request.json
    resp = bllengine.dbpackage_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbpackage.route('/dbpackage/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbpackage():
    req = request.json
    resp = bllengine.dbpackage_processupdateall(req)
    return jsonify(resp)

 """