from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbpan = Blueprint('dbpan', __name__)



@dbpan.route('/dbpan/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbpan.route('/dbpan/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbplan():
    req = request.json
    resp = bllengine.dbpan_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbpan.route('/dbpan/readonecond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def readOnedbplanwithCondition():
    req = request.json
    resp = bllengine.dbpan_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbpan.route('/dbpan/readmanycond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def reaManydbplanwithCond():
    req = request.json
    resp = bllengine.dbpan_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbpan.route('/dbpan/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbplanwithoutCond():
    req = request.json
    resp = bllengine.dbpan_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbpan.route('/dbpan/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbplanwithcondition():
    req = request.json
    resp = bllengine.dbpan_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbpan.route('/dbpan/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbplanwithcondition():
    req = request.json
    resp = bllengine.dbpan_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbpan.route('/dbpan/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbplan():
    req = request.json
    resp = bllengine.dbpan_processupdateall(req)
    return jsonify(resp)

 """