from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbpincode = Blueprint('dbpincode', __name__)



@dbpincode.route('/dbpincode/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbpincode.route('/dbpincode/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbpincode():
    req = request.json
    resp = bllengine.dbpincode_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbpincode.route('/dbpincode/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbpincodewithCondition():
    req = request.json
    resp = bllengine.dbpincode_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbpincode.route('/dbpincode/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbpincodewithCond():
    req = request.json
    resp = bllengine.dbpincode_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbpincode.route('/dbpincode/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbpincodewithoutCond():
    req = request.json
    resp = bllengine.dbpincode_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbpincode.route('/dbpincode/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbpincodewithcondition():
    req = request.json
    resp = bllengine.dbpincode_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbpincode.route('/dbpincode/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbpincodewithcondition():
    req = request.json
    resp = bllengine.dbpincode_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbpincode.route('/dbpincode/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbpincode():
    req = request.json
    resp = bllengine.dbpincode_processupdateall(req)
    return jsonify(resp)

 """