from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbplan = Blueprint('dbplan', __name__)



@dbplan.route('/dbplan/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbplan.route('/dbplan/create', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)  
def createdbplan():
    req = request.json
    resp = bllengine.dbplan_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbplan.route('/dbplan/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbplanwithCondition():
    req = request.json
    resp = bllengine.dbplan_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbplan.route('/dbplan/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbplanwithCond():
    req = request.json
    resp = bllengine.dbplan_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbplan.route('/dbplan/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbplanwithoutCond():
    req = request.json
    resp = bllengine.dbplan_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbplan.route('/dbplan/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbplanwithcondition():
    req = request.json
    resp = bllengine.dbplan_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbplan.route('/dbplan/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbplanwithcondition():
    req = request.json
    resp = bllengine.dbplan_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbplan.route('/dbplan/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbplan():
    req = request.json
    resp = bllengine.dbplan_processupdateall(req)
    return jsonify(resp)

 """