from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbrole = Blueprint('dbrole', __name__)



@dbrole.route('/dbrole/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbrole.route('/dbrole/create', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)  
def createdbrole():
    req = request.json
    resp = bllengine.dbrole_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbrole.route('/dbrole/readonecond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def readOnedbrolewithCondition():
    req = request.json
    resp = bllengine.dbrole_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbrole.route('/dbrole/readmanycond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def reaManydbrolewithCond():
    req = request.json
    resp = bllengine.dbrole_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbrole.route('/dbrole/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbrolewithoutCond():
    req = request.json
    resp = bllengine.dbrole_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbrole.route('/dbrole/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbrolewithcondition():
    req = request.json
    resp = bllengine.dbrole_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbrole.route('/dbrole/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbrolewithcondition():
    req = request.json
    resp = bllengine.dbrole_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbrole.route('/dbrole/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbrole():
    req = request.json
    resp = bllengine.dbrole_processupdateall(req)
    return jsonify(resp)

 """