from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbstate = Blueprint('dbstate', __name__)



@dbstate.route('/dbstate/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbstate.route('/dbstate/create', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)  
def createdbstate():
    req = request.json
    resp = bllengine.dbstate_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbstate.route('/dbstate/readonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readOnedbstatewithCondition():
    req = request.json
    resp = bllengine.dbstate_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbstate.route('/dbstate/readmanycond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def reaManydbstatewithCond():
    req = request.json
    resp = bllengine.dbstate_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbstate.route('/dbstate/readall', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readManydbstatewithoutCond():
    req = request.json
    resp = bllengine.dbstate_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbstate.route('/dbstate/deleteonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbstatewithcondition():
    req = request.json
    resp = bllengine.dbstate_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbstate.route('/dbstate/updateonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def updateonedbstatewithcondition():
    req = request.json
    resp = bllengine.dbstate_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbstate.route('/dbstate/updateall', methods=["POST"])
@cross_origin()
@jwt_required()
#@cache.cached(timeout=50)
async def createdbstate():
    req = request.json
    resp = bllengine.dbstate_processupdateall(req)
    return jsonify(resp)

 """