from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbusagelimit = Blueprint('dbusagelimit', __name__)



@dbusagelimit.route('/dbusagelimit/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbusagelimit.route('/dbusagelimit/create', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)  
def createdbusagelimit():
    req = request.json
    resp = bllengine.dbusagelimit_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbusagelimit.route('/dbusagelimit/readonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readOnedbusagelimitwithCondition():
    req = request.json
    resp = bllengine.dbusagelimit_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbusagelimit.route('/dbusagelimit/readmanycond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def reaManydbusagelimitwithCond():
    req = request.json
    resp = bllengine.dbusagelimit_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbusagelimit.route('/dbusagelimit/readall', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readManydbusagelimitwithoutCond():
    req = request.json
    resp = bllengine.dbusagelimt_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbusagelimit.route('/dbusagelimit/deleteonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbusagelimitwithcondition():
    req = request.json
    resp = bllengine.dbusagelimit_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbusagelimit.route('/dbusagelimit/updateonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def updateonedbusagelimitwithcondition():
    req = request.json
    resp = bllengine.dbusagelimit_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbusagelimit.route('/dbusagelimit/updateall', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def createdbusagelimit():
    req = request.json
    resp = bllengine.dbusagelimit_processupdateall(req)
    return jsonify(resp)

 """