from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbacl = Blueprint('dbacl', __name__)


@dbacl.route('/dbacl/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbacl.route('/dbacl/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbacl():
    req = request.json
    resp = bllengine.dbacl_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbacl.route('/dbacl/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbaclwithCondition():
    req = request.json
    resp = bllengine.dbacl_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbacl.route('/dbacl/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbaclwithCond():
    req = request.json
    resp = bllengine.dbacl_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbacl.route('/dbacl/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbaclwithoutCond():
    req = request.json
    resp = bllengine.dbacl_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbacl.route('/dbacl/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbaclwithcondition():
    req = request.json
    resp = bllengine.dbacl_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbacl.route('/dbacl/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbaclwithcondition():
    req = request.json
    resp = bllengine.dbacl_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbacl.route('/dbacl/updateall', methods=["POST"])
@cross_origin()
@jwt_required()
#@cache.cached(timeout=50)
async def createdbacl():
    req = request.json
    resp = bllengine.dbacl_processupdateall(req)
    return jsonify(resp)

 """