from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbcnnstring = Blueprint('dbcnnstring', __name__)



@dbcnnstring.route('/dbconnectionstring/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbcnnstring.route('/dbconnectionstring/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbcnnstring():
    req = request.json
    resp = bllengine.dbconnectionstring_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbcnnstring.route('/dbconnectionstring/readonecond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def readOnedbcnnstringwithCondition():
    req = request.json
    resp = bllengine.dbconnectionstring_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbcnnstring.route('/dbconnectionstring/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbcnnstringwithCond():
    req = request.json
    resp = bllengine.dbconnectionstring_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbcnnstring.route('/dbconnectionstring/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbcnnstringwithoutCond():
    req = request.json
    resp = bllengine.dbconnectionstring_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbcnnstring.route('/dbconnectionstring/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbcnnstringwithcondition():
    req = request.json
    resp = bllengine.dbconnectionstring_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbcnnstring.route('/dbconnectionstring/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbcnnstringwithcondition():
    req = request.json
    resp = bllengine.dbconnectionstring_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbcnnstring.route('/dbconnectionstring/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbcnnstring():
    req = request.json
    resp = bllengine.dbconnectionstring_processupdateall(req)
    return jsonify(resp)

 """