from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbdeploye = Blueprint('dbdeploye', __name__)



@dbdeploye.route('/dbdeploye/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbdeploye.route('/dbdeploye/create', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)  
def createdbdeploye():
    req = request.json
    resp = bllengine.dbdeploye_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbdeploye.route('/dbdeploye/readonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readOnedbdeployewithCondition():
    req = request.json
    resp = bllengine.dbdeploye_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbdeploye.route('/dbdeploye/readmanycond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def reaManydbdeployewithCond():
    req = request.json
    resp = bllengine.dbdeploye_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbdeploye.route('/dbdeploye/readall', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readManydbdeployewithoutCond():
    req = request.json
    resp = bllengine.dbdeploye_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbdeploye.route('/dbdeploye/deleteonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbdeployewithcondition():
    req = request.json
    resp = bllengine.dbdeploye_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbdeploye.route('/dbdeploye/updateonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def updateonedbdeployewithcondition():
    req = request.json
    resp = bllengine.dbdeploye_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbdeploye.route('/dbdeploye/updateall', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def createdbdeploye():
    req = request.json
    resp = bllengine.dbdeploye_processupdateall(req)
    return jsonify(resp)

 """