from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbkyc = Blueprint('dbkyc', __name__)



@dbkyc.route('/dbkyc/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbkyc.route('/dbkyc/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbkyc():
    req = request.json
    resp = bllengine.dbkyc_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbkyc.route('/dbkyc/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbkycwithCondition():
    req = request.json
    resp = bllengine.dbkyc_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbkyc.route('/dbkyc/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbkycwithCond():
    req = request.json
    resp = bllengine.dbkyc_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbkyc.route('/dbkyc/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbkycwithoutCond():
    req = request.json
    resp = bllengine.dbkyc_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbkyc.route('/dbkyc/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbkycwithcondition():
    req = request.json
    resp = bllengine.dbkyc_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbkyc.route('/dbkyc/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbkycwithcondition():
    req = request.json
    resp = bllengine.dbkyc_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbkyc.route('/dbkyc/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbkyc():
    req = request.json
    resp = bllengine.dbkyc_processupdateall(req)
    return jsonify(resp)

 """