from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbpermission = Blueprint('dbpermission', __name__)



@dbpermission.route('/dbpermission/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbpermission.route('/dbpermission/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbpermission():
    req = request.json
    resp = bllengine.dbpermission_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbpermission.route('/dbpermission/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbpermissionwithCondition():
    req = request.json
    resp = bllengine.dbpermission_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbpermission.route('/dbpermission/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbpermissionwithCond():
    req = request.json
    resp = bllengine.dbpermission_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbpermission.route('/dbpermission/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbpermissionwithoutCond():
    req = request.json
    resp = bllengine.dbpermission_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbpermission.route('/dbpermission/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbpermissionwithcondition():
    req = request.json
    resp = bllengine.dbpermission_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbpermission.route('/dbpermission/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbpermissionwithcondition():
    req = request.json
    resp = bllengine.dbpermission_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbpermission.route('/dbpermission/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbpermission():
    req = request.json
    resp = bllengine.dbpermission_processupdateall(req)
    return jsonify(resp)

 """