from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbphone = Blueprint('dbphone', __name__)



@dbphone.route('/dbphone/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbphone.route('/dbphone/create', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)  
def createdbphone():
    req = request.json
    resp = bllengine.dbphone_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbphone.route('/dbphone/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbphonewithCondition():
    req = request.json
    resp = bllengine.dbphone_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbphone.route('/dbphone/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbphonewithCond():
    req = request.json
    resp = bllengine.dbphone_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbphone.route('/dbphone/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbphonewithoutCond():
    req = request.json
    resp = bllengine.dbphone_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbphone.route('/dbphone/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbphonewithcondition():
    req = request.json
    resp = bllengine.dbphone_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbphone.route('/dbphone/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbphonewithcondition():
    req = request.json
    resp = bllengine.dbphone_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbphone.route('/dbphone/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbphone():
    req = request.json
    resp = bllengine.dbphone_processupdateall(req)
    return jsonify(resp)

 """