from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbplans = Blueprint('dbplans', __name__)



@dbplans.route('/dbplans/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbplans.route('/dbplans/create', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)  
def createdbplans():
    req = request.json
    resp = bllengine.dbplans_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbplans.route('/dbplans/readonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readOnedbplanswithCondition():
    req = request.json
    resp = bllengine.dbplans_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbplans.route('/dbplans/readmanycond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def reaManydbplanswithCond():
    req = request.json
    resp = bllengine.dbplans_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbplans.route('/dbplans/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbplanswithoutCond():
    req = request.json
    resp = bllengine.dbplans_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbplans.route('/dbplans/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbplanswithcondition():
    req = request.json
    resp = bllengine.dbplans_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbplans.route('/dbplans/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbplanswithcondition():
    req = request.json
    resp = bllengine.dbplans_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbplans.route('/dbplans/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbplans():
    req = request.json
    resp = bllengine.dbplans_processupdateall(req)
    return jsonify(resp)

 """