from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbportnumber = Blueprint('dbportnumber', __name__)



@dbportnumber.route('/dbportnumber/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbportnumber.route('/dbportnumber/create', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)  
def createdbportnumber():
    req = request.json
    resp = bllengine.dbportnumber_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbportnumber.route('/dbportnumber/readonecond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def readOnedbportnumberwithCondition():
    req = request.json
    resp = bllengine.dbportnumber_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbportnumber.route('/dbportnumber/readmanycond', methods=["POST"])
@cross_origin()
##@jwt_required()
#@cache.cached(timeout=50)
def reaManydbportnumberwithCond():
    req = request.json
    resp = bllengine.dbportnumber_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbportnumber.route('/dbportnumber/readall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def readManydbportnumberwithoutCond():
    req = request.json
    resp = bllengine.dbportnumber_processreadmanywithoutcond(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbportnumber.route('/dbportnumber/deleteonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbportnumberwithcondition():
    req = request.json
    resp = bllengine.dbportnumber_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbportnumber.route('/dbportnumber/updateonecond', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def updateonedbportnumberwithcondition():
    req = request.json
    resp = bllengine.dbportnumber_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbportnumber.route('/dbportnumber/updateall', methods=["POST"])
@cross_origin()
#@jwt_required()
#@cache.cached(timeout=50)
def createdbportnumber():
    req = request.json
    resp = bllengine.dbportnumber_processupdateall(req)
    return jsonify(resp)

 """