from flask import Blueprint, request, jsonify
from core.bll import bllengine
from flask_cors import cross_origin
from flask_jwt_extended import create_access_token, get_jwt, jwt_required
from reqhandlers.blocklist import BLOCKLIST
import datetime
from datetime import timedelta

dbuac = Blueprint('dbuac', __name__)



@dbuac.route('/dbuac/reqtest')
def retest():
    return "success"



# 1.1. Create
@dbuac.route('/dbuac/create', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)  
def createdbuac():
    req = request.json
    resp = bllengine.dbuac_processcreate(req)
    return jsonify(resp)

# 1.2. Read One Conditional
@dbuac.route('/dbuac/readonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readOnedbuacwithCondition():
    req = request.json
    resp = bllengine.dbuac_processreadonecond(req)
    return jsonify(resp)

# 1.3. Read Multiple Conditional
@dbuac.route('/dbuac/readmanycond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def reaManydbuacwithCond():
    req = request.json
    resp = bllengine.dbuac_processreadmanycond(req)
    return jsonify(resp)

# 1.4. Read All
@dbuac.route('/dbuac/readall', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def readManydbuacwithoutCond():
    req = request.json
    resp = bllengine.dbuac_processreadall(req)
    return jsonify(resp)

# 1.5. Delete One Conditional
@dbuac.route('/dbuac/deleteonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def deleteOnedbuacwithcondition():
    req = request.json
    resp = bllengine.dbuac_processdeleteonecond(req)
    return jsonify(resp)


# 1.6. Update One Conditional
@dbuac.route('/dbuac/updateonecond', methods=["POST"])
@cross_origin()
# @jwt_required()
#@cache.cached(timeout=50)
def updateonedbuacwithcondition():
    req = request.json
    resp = bllengine.dbuac_processupdateonecond(req)
    return jsonify(resp)


""""# 1.7. Update All
@dbuac.route('/dbuac/updateall', methods=["POST"])
@cross_origin()
@jwt_required()
#@cache.cached(timeout=50)
async def createdbuac():
    req = request.json
    resp = bllengine.dbuac_processupdateall(req)
    return jsonify(resp)

 """